Package Details: scangearmp2 3.70-1

Git Clone URL: https://aur.archlinux.org/scangearmp2.git (read-only)
Package Base: scangearmp2
Description: Canon ScanGear MP v2 scanner driver.
Upstream URL: https://www.canon.co.uk
Licenses: GPL, custom:canon
Provides: scangearmp2
Submitter: iAndrewT
Maintainer: livix
Last Packager: livix
Votes: 12
Popularity: 0.201325
First Submitted: 2016-12-22 23:29
Last Updated: 2018-09-23 16:41

Latest Comments

livix commented on 2018-09-25 11:23

@L1ghtmar3 seems you have installed a version of libtool with anaconda: libtoolize: '/opt/anaconda/share/aclocal/libtool.m4' Maybe the two versions conflicts or you have to instruct autoconf to use the right one.

L1ghtmar3 commented on 2018-09-24 14:58

grep '2.4.6'

[printf 0123456789abcdef0123456789abcdef >conftest.i

[printf 0123456789abcdef0123456789abcdef >conftest.i

echo $ECHO_N "0123456789$ECHO_C" >conftest.in

m4_define([LT_PACKAGE_VERSION], [2.4.6.42-b88ce])

m4_define([LT_PACKAGE_REVISION], [2.4.6.42])

[macro_version='2.4.6.42-b88ce'

macro_revision='2.4.6.42'

Here's the entire build log

livix commented on 2018-09-24 11:33

@L1ghtmar3 I can't reproduce your error compiling with the same gcc command. Seems something wrong is in your src/scangearmp2-source-3.70-1/scangearmp2/aclocal.m4 auto-generated by autoconf. Can you post output of cat src/scangearmp2-source-3.70-1/scangearmp2/aclocal.m4 | grep '2.4.6'?

L1ghtmar3 commented on 2018-09-24 09:17

Fails to build for me with

/bin/sh ../libtool --tag=CC --mode=link gcc -DPACKAGE_DATA_DIR=\""/usr/share/scangearmp2"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -O2 -D_FILE_OFFSET_BITS=64 -L../../com/libs_bin64 -o scangearmp2 scangearmp2-main.o scangearmp2-canon_mfp_io.o scangearmp2-canon_mfp_tools.o scangearmp2-mainui.o scangearmp2-selectdevice.o scangearmp2-scanmain.o scangearmp2-errordlg.o scangearmp2-progressbar.o scangearmp2-file_control.o scangearmp2-keep_setting.o scangearmp2-jpeg2pdf.o scangearmp2-cnmsfunc.o scangearmp2-callbacks.o -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype -Wl,--export-dynamic -lgmodule-2.0 -pthread -lglib-2.0 -lglib-2.0 -lusb-1.0 -lcncpmslld2 -lcncpnet2 -lcncpnet20 -lcncpnet30 -lpthread

libtool: Version mismatch error. This is libtool 2.4.6, but the

libtool: definition of this LT_INIT comes from libtool 2.4.6.42-b88ce.

libtool: You should recreate aclocal.m4 with macros from libtool 2.4.6

libtool: and run autoconf again.

make[2]: *** [Makefile:448: scangearmp2] Error 63

make[2]: Leaving directory '/tmp/yaourt-tmp-****/aur-scangearmp2 /src/scangearmp2-source-3.70-1/scangearmp2/src'

make[1]: *** [Makefile:424: all-recursive] Error 1

make[1]: Leaving directory '/tmp/yaourt-tmp-****/aur-scangearmp2/src/scangearmp2-source-3.70-1/scangearmp2'

make: *** [Makefile:356: all] Error 2

==> ERROR: A failure occurred in build().

while

pacman -Q libtool

libtool 2.4.6+42+gb88cebd5-1

livix commented on 2018-09-23 16:43

updated to version 3.70

livix commented on 2018-03-16 10:22

updated to version 3.50.

livix commented on 2017-04-01 09:23

I have 3.40 version of this package ready with a patch and .desktop file, do you still maintain this package?